# Generated by Django 4.0.6 on 2022-07-27 13:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import users.models


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0009_alter_bet_profilepic'),
    ]

    operations = [
        migrations.AlterField(
            model_name='bet',
            name='profilepic',
            field=models.ImageField(blank=True, default='images/photo2.jpg', null=True, upload_to=users.models.user_directory_path),
        ),
        migrations.CreateModel(
            name='FriendlyBet',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=255, unique=True)),
                ('price', models.IntegerField()),
                ('description', models.CharField(max_length=255)),
                ('date', models.CharField(max_length=255)),
                ('participant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
